
User Interface - Bug #2753

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

window scrollbars unexpectedly appear during window resize

10/09/2015 12:31 PM - Greg Shah

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stabilization for GUI   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 10/09/2015 12:34 PM - Greg Shah

- File demo_widgets.p_window_scrollbars_during_resize_horizontal_20151009.png added

- File demo_widgets.p_window_scrollbars_during_resize_vertical_20151009.png added

- File demo_widgets.p_window_scrollbars_during_resize_both_20151009.png added

Use demo/demo_widgets.p to recreate.  Grab the bottom right corner of the window and resize it smaller.  Even when the window does not need

scrollbars, they will be drawn temporarily.  Sometimes only the horizontal will draw, sometimes only the vertical or sometimes both will draw.  They

will often disappear when the resize operation is complete, but not always.  However, they will disappear if you click your mouse into the window.

Although you can't see the mouse in these screen-shots, the window IS being resized at this time:
#2 - 03/23/2016 05:09 PM - Greg Shah

- Target version changed from Milestone 12 to Milestone 16

#3 - 11/16/2016 12:23 PM - Greg Shah

- Target version changed from Milestone 16 to Cleanup and Stabilization for GUI

Files

demo_widgets.p_window_scrollbars_during_resize_horizontal_20151009.png9.85 KB 10/09/2015 Greg Shah

demo_widgets.p_window_scrollbars_during_resize_vertical_20151009.png9.88 KB 10/09/2015 Greg Shah

demo_widgets.p_window_scrollbars_during_resize_both_20151009.png9.76 KB 10/09/2015 Greg Shah
